Download it now!
Bug 123092 - UI: Main menubar in Writer and Impress stays grayed out after document save
Summary: UI: Main menubar in Writer and Impress stays grayed out after document save
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.2 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2019-01-31 21:10 UTC by Micha
Modified: 2019-11-03 11:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Menubar with gray text (33.73 KB, image/png)
2019-01-31 21:11 UTC, Micha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Micha 2019-01-31 21:10:49 UTC
Description:
When a document is stored the menubar stays grayed out, it still can be used.
After some clicks/work in the document the normal state is restored.
I'm attaching a screenshot.

Affected: Writer, Impress
Not affected: Draw, Calc

Hint: I observed that while the file store operation is ongoing in Draw and Calc the menubar is not grayed out (like the toolbar below the menubar). Maybe that is the reason why this issue does not hit there.


Steps to Reproduce:
1. Create new document in writer / impress
2. Store with Ctrl-S or "Save" (Save As won't reproduce)
3. Observe Menubar

Actual Results:
Menubar text is gray

Expected Results:
Menubar text is black


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproducible with:
Version: 6.2.0.3
Build ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62

Also in this RC2: 6.2.0.2
Sorry, I no build id available after change to RC3

Not reproducible in:
Version: 6.1.3.2
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
Comment 1 Micha 2019-01-31 21:11:37 UTC
Created attachment 148808 [details]
Menubar with gray text
Comment 2 Xisco Faulí 2019-03-21 15:59:03 UTC
Could you please paste the info from Help - about LibreOffice ?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' once the information has been provided
Comment 3 Micha 2019-04-02 19:57:19 UTC
Here is the info from the help tab.
Sorry it took a while, I was on a journey.

Version: 6.2.0.3
Build ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU threads: 12; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: de-DE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Micha 2019-04-02 20:40:56 UTC
I tried to reproduce with the nighly from yesterday as well as
6.2.3 RC1.

In both it is NOT reproducible anymore.

Shall we just close the Bug?

Version: 6.2.4.0.0+
Build ID: 4cddc97ad0488cf70dab9e9fc73f54f1f254631a
CPU threads: 12; OS: Linux 4.17; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-04-01_20:20:26
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.2.3.1
Build ID: 9ba025bafb03b962c34687cf87806cc03a3a7436
CPU threads: 12; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: de-DE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Xisco Faulí 2019-04-03 11:26:48 UTC
(In reply to Micha from comment #4)
> I tried to reproduce with the nighly from yesterday as well as
> 6.2.3 RC1.
> 
> In both it is NOT reproducible anymore.
> 
> Shall we just close the Bug?
> 
> Version: 6.2.4.0.0+
> Build ID: 4cddc97ad0488cf70dab9e9fc73f54f1f254631a
> CPU threads: 12; OS: Linux 4.17; UI render: default; VCL: gtk3; 
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time:
> 2019-04-01_20:20:26
> Locale: en-US (en_US.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> Version: 6.2.3.1
> Build ID: 9ba025bafb03b962c34687cf87806cc03a3a7436
> CPU threads: 12; OS: Linux 4.17; UI render: default; VCL: gtk3; 
> Locale: de-DE (en_US.UTF-8); UI-Language: en-US
> Calc: threaded

Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.
Comment 6 QA Administrators 2019-10-21 02:29:54 UTC Comment hidden (obsolete)
Comment 7 Micha 2019-11-03 11:36:34 UTC
Setting to RESOLVED WORKSFORME as proposed by Xisco earlier.